Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
where is www-apache/mod_fastcgi ? FastCgiServer
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Networking & Security
View previous topic :: View next topic  
Author Message
augustin
Guru
Guru


Joined: 23 Feb 2015
Posts: 318

PostPosted: Mon Feb 06, 2017 4:09 pm    Post subject: where is www-apache/mod_fastcgi ? FastCgiServer Reply with quote

The following thread refers to www-apache/mod_fastcgi:
https://forums.gentoo.org/viewtopic-t-1032134-start-0.html
But the link is 404 and the ebuild is missing from the tree.

I need mod_fastcgi to complete my migration to gentoo and start development again.
I tried mod_fcgid which claims to be "A binary-compatible alternative to mod_fastcgi with better process management".
I also tried mod_fastcgi_handler "A simple FastCGI handler module", although I am not sure what the difference is,

But either way, after having added either -D FCGID (for mod_fcgid ) or -D FASTCGI_HANDLER (for mod_fastcgi_handler) to APACHE2_OPTS,
i still get:
Code:

# service apache2 restart
 * Caching service dependencies ...                                                                                                                                   [ ok ]
 * Executing: /lib64/rc/sh/openrc-run.sh /lib64/rc/sh/openrc-run.sh /etc/init.d/apache2 stop
 * apache2 has detected an error in your setup:
AH00526: Syntax error on line 10 of /etc/apache2/vhosts.d/fastcgi-site.conf:
Invalid command 'FastCgiServer', perhaps misspelled or defined by a module not included in the server configuration
 * ERROR: apache2 failed to stop


The following post:
https://www.question-defense.com/2009/12/29/invalid-command-fastcgiexternalserver-perhaps-misspelled-or-defined-by-a-module-not-included-in-the-server-configuration
does say:
Quote:

So the issue in my case was I assumed mod_fcgid was mod_fastcgi. This is not the case and mod_fcgid does not include a server directive called FastCGIExternalServer which will cause the error above and apache to not start. So you need to install mod_fastcgi instead by downloading the source, unpacking, modifying the makefile, compiling, and then configuring Apache.


Apparently, there used to be an ebuild for www-apache/mod_fastcgi, but it's no longer in the tree.
Where could I find it, because the supposed replacements do not work.

Did I miss another option?
Back to top
View user's profile Send private message
Ant P.
Watchman
Watchman


Joined: 18 Apr 2009
Posts: 5593

PostPosted: Mon Feb 06, 2017 7:22 pm    Post subject: Reply with quote

Use mod_proxy_fcgi.
Back to top
View user's profile Send private message
augustin
Guru
Guru


Joined: 23 Feb 2015
Posts: 318

PostPosted: Tue Feb 07, 2017 3:48 am    Post subject: Reply with quote

Thank you very much, Ant.
:)
I'll check this out.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Networking & Security All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum